$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.36-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.36-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B28F813AC09E1C4D927209935CA056637AE8C4FE711175AB3D55005B13BF0094'
  checksumType = 'sha256'
  checksum64 = 'B28F813AC09E1C4D927209935CA056637AE8C4FE711175AB3D55005B13BF0094'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.1.36-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
